import { Element } from 'domhandler';
interface ItagMap {
    [key: string]: (a?: Element) => object;
}
export type AttributeTransform = ({ el, }: {
    el: Element;
}) => {
    [key: string]: unknown;
} | undefined;
/**
 * For details on configuration options:
 * @see /docs/config/htmlToSlate.md
 */
export interface Config {
    elementAttributeTransform?: AttributeTransform;
    elementTags: ItagMap;
    textTags: ItagMap;
    htmlPreProcessString?: (html: string) => string;
    htmlUpdaterMap?: HtmlUpdaterFunctionMap;
    filterWhitespaceNodes: boolean;
    convertBrToLineBreak?: boolean;
    trimWhiteSpace?: boolean;
}
type UpdaterFunction = (el: Element) => Element | string;
export type HtmlUpdaterFunctionMap = Record<string, UpdaterFunction>;
export {};
